%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Mail-Sender
%define modv   0.8.16


Summary:       A Perl module for sending mails through a SMTP server
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Jan Krynicky <Jenda@Krynicky.cz>
Provides:      perl(Mail::Sender) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
Mail::Sender provides an object oriented interface to sending mails. It
does not need any outer program, it connects to a mail server directly
from Perl via sockets.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name "Win32.pm"  -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Tue Nov 18 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.16-1
- Initial build
